Bug 11537 - (int-167068) busybox "date -I" segfaults
(int-167068)
: busybox "date -I" segfaults
Status: RESOLVED FIXED
Product: Core
Busybox
: 5.0:(20.2010.36-2)
: All Maemo
: Unspecified normal (vote)
: Harmattan
Assigned To: unassigned
: busybox-bugs
:
: crash
:
:
  Show dependency tree
 
Reported: 2010-11-05 14:59 UTC by Steven Chamberlain
Modified: 2010-11-22 17:02 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Steven Chamberlain (reporter) 2010-11-05 14:59:51 UTC
SOFTWARE VERSION:
busybox 3:1.10.2.legal-1osso30+0m5

EXACT STEPS LEADING TO PROBLEM: 
date -I
(uppercase i)

EXPECTED OUTCOME:
2010-11-05
(works correctly if I run this instead:  date "+%Y-%m-%d" )

ACTUAL OUTCOME:
Segmentation fault

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
I would try to debug this myself but I don't have any sort of dev./debugging
environment set up for Maemo or the N900 yet.

Bug existed in 10.2010.19-1 also.

Thanks!
Comment 1 Lucas Maneos 2010-11-06 22:38:28 UTC
Thanks for the report.  Confirming known issue according to bug 8291 comment 7.
Comment 2 Andre Klapper maemo.org 2010-11-22 17:02:32 UTC
This does not happen in Harmattan anymore (the version after Maemo5) which uses
Busybox 1.18, hence setting tentative Target Milestone to "Harmattan".
In case a fix for Maemo5 will be released (decision is up to Nokia) I will
reset the Target Milestone field to an earlier version.